# ff-admin-aio

Administration für Feuerwehren und Vereine (all-in-one).

## Einleitung

Dieses Projekt, `ff-admin-aio`, ist das Gesamt-Projekt zur Verwaltung von Mitgliederdaten.\
Die zugehörige Webapp ist im Repository [ff-admin-ui](https://forgejo.jk-effects.cloud/Ehrenamt/ff-admin) zu finden.\
Der zugehörige Server ist im Repository [ff-admin-server](https://forgejo.jk-effects.cloud/Ehrenamt/ff-admin-server) zu finden.

Eine Demo zusammen mit der `ff-admin` finden Sie unter [https://admin-demo.ff-admin.de](https://admin-demo.ff-admin.de).

## Installation

Das Image exposed die Ports 80 und 3306.

### Docker Compose Setup

Um den Container hochzufahren, erstellen Sie eine `docker-compose.yml` Datei mit folgendem Inhalt:

```yaml
version: "3"

services:
  ff-admin-aio:
    image: docker.registry.jk-effects.cloud/ehrenamt/ff-admin/aio:latest
    container_name: ff_member_administration_aio
    restart: unless-stopped
    environment:
      - SERVERADDRESS=""
      - APPNAMEOVERWRITE=""
      - IMPRINTLINK=""
      - PRIVACYLINK=""
      - CUSTOMLOGINMESSAGE=""

      - JWT_SECRET=""
      - JWT_EXPIRATION=""
      - REFRESH_EXPIRATION=""
      - PWA_REFRESH_EXPIRATION=""
      - MAIL_USERNAME=""
      - MAIL_PASSWORD=""
      - MAIL_HOST=""
      - MAIL_PORT=""
      - MAIL_SECURE=""
      - CLUB_NAME=""
      - CLUB_WEBSITE=""
      - BACKUP_INTERVAL=""
      - BACKUP_COPIES=""
      - BACKUP_AUTO_RESTORE=""

      - MYSQL_DATABASE=""
      - MYSQL_USER=""
      - MYSQL_PASSWORD=""
      - MYSQL_ROOT_PASSWORD=""
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock:ro # verpflichtende Angabe
      - <volume|local path>:/app/files
      - <volume|local path>:/app/database
      - <volume|local path>:/app/icons
```

Führen Sie dann den folgenden Befehl im Verzeichnis der compose-Datei aus, um den Container zu starten:

```sh
docker-compose up -d
```

## Fragen und Wünsche

Bei Fragen, Anregungen oder Wünschen können Sie sich gerne melden.\
Wir freuen uns über Ihr Feedback und helfen Ihnen gerne weiter.\
Schreiben Sie dafür eine Mail an julian.krauser@jk-effects.com.
